"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.axiosInterceptor = void 0;
var adapters_1 = require("../../adapters");
var requests_1 = require("../requests");
var axiosInterceptor = {
    onRequest: function (data) {
        var preparedRequest = (0, adapters_1.axiosAdapterRequest)(data);
        if (!preparedRequest)
            return;
        (0, requests_1.pushRequest)(preparedRequest);
    },
    onResponse: function (data) {
        var preparedResponse = (0, adapters_1.axiosAdapterResponse)(data);
        if (!preparedResponse)
            return;
        (0, requests_1.pushResponse)(preparedResponse);
    },
};
exports.axiosInterceptor = axiosInterceptor;
