"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.pushResponse = exports.pushRequest = void 0;
var state_1 = require("../../state");
var timers_1 = require("../../utils/timers");
var filters_1 = require("../../filters");
var requests_1 = require("../../utils/requests");
var pushRequest = function (request) {
    var _a, _b;
    // exit if recording is stopped
    if (!state_1.state.recording) {
        return;
    }
    var timedRequest = request
        ? __assign(__assign({}, request), { timestamp: Date.now(), locationOrigin: ((_a = window.location) === null || _a === void 0 ? void 0 : _a.origin) || null, locationHref: ((_b = window.location) === null || _b === void 0 ? void 0 : _b.href) || null, localStorage: JSON.stringify(localStorage) }) : null;
    (0, timers_1.startShortTimer)();
    if (timedRequest) {
        var filteredRequest = null;
        var requestFilter = (0, filters_1.createRequestFilter)(state_1.state.config);
        filteredRequest = requestFilter.sensetive(timedRequest);
        filteredRequest = requestFilter.sensetiveData(filteredRequest);
        filteredRequest = requestFilter.headers(filteredRequest);
        filteredRequest = requestFilter.storage(filteredRequest);
        (0, state_1.updatePartState)({ request: filteredRequest || null });
    }
};
exports.pushRequest = pushRequest;
var pushResponse = function (response) {
    // exit if recording is stopped
    if (!state_1.state.recording) {
        return;
    }
    var timedResponse = response ? __assign(__assign({}, response), { timestamp: Date.now() }) : null;
    (0, timers_1.clearShortTimer)();
    if (timedResponse && state_1.state.request) {
        var fullRequest = {
            _id: Date.now().toString(),
            request: state_1.state.request,
            response: timedResponse,
        };
        (0, timers_1.clearLongTimer)();
        (0, requests_1.pushRequests)(fullRequest);
    }
    else {
        if (state_1.state.request) {
            var fullRequest = {
                _id: Date.now().toString(),
                request: state_1.state.request,
                response: {
                    data: 'No response from server. Timeout.',
                    status: '',
                    timestamp: Date.now(),
                },
            };
            (0, timers_1.clearLongTimer)();
            (0, requests_1.pushRequests)(fullRequest);
        }
    }
};
exports.pushResponse = pushResponse;
