"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRequestFilter = void 0;
/**
 * Filter request (sensetive, sensetive data)
 */
var createRequestFilter = function (config) { return ({
    sensetive: function (data) {
        var _a;
        return ((_a = config === null || config === void 0 ? void 0 : config.sensetiveRequsts) === null || _a === void 0 ? void 0 : _a.includes(data.url)) ? __assign(__assign({}, data), { headers: 'sensetive', data: 'sensetive' }) : data;
    },
    sensetiveData: function (data) {
        var _a;
        return ((_a = config === null || config === void 0 ? void 0 : config.sensetiveDataRequests) === null || _a === void 0 ? void 0 : _a.includes(data.url)) ? __assign(__assign({}, data), { data: 'sensetive' }) : data;
    },
    headers: function (data) {
        var _a;
        var headers = {};
        if (data.headers === 'sensetive') {
            return data;
        }
        (_a = config === null || config === void 0 ? void 0 : config.headers) === null || _a === void 0 ? void 0 : _a.map(function (header) {
            var _a;
            headers = __assign(__assign({}, headers), (_a = {}, _a[header] = data.headers[header], _a));
        });
        return __assign(__assign({}, data), { headers: (config === null || config === void 0 ? void 0 : config.headers) ? headers : data.headers });
    },
    storage: function (data) {
        var localStorageConfig = (config === null || config === void 0 ? void 0 : config.localStorage) || null;
        if (localStorageConfig) {
            var resultLocalStorage_1 = null;
            var localStorageData_1 = data.localStorage ? JSON.parse(data.localStorage) : null;
            if (!localStorageData_1) {
                return __assign(__assign({}, data), { localStorage: '' });
            }
            localStorageConfig.forEach(function (item) {
                var _a, _b;
                if (localStorageData_1[item]) {
                    if (resultLocalStorage_1) {
                        resultLocalStorage_1 = __assign(__assign({}, resultLocalStorage_1), (_a = {}, _a[item] = localStorageData_1[item], _a));
                    }
                    else {
                        resultLocalStorage_1 = (_b = {}, _b[item] = localStorageData_1[item], _b);
                    }
                }
            });
            return __assign(__assign({}, data), { localStorage: resultLocalStorage_1 || '' });
        }
        else {
            return __assign(__assign({}, data), { localStorage: '' });
        }
    },
}); };
exports.createRequestFilter = createRequestFilter;
