"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clearLongTimer = exports.startLongTimer = exports.clearShortTimer = exports.startShortTimer = void 0;
var requests_1 = require("./requests");
var constants_1 = require("../constants");
var state_1 = require("../state");
var index_1 = require("../feature/requests/index");
/**
 * Start/Clear timers
 */
var startShortTimer = function () {
    var _a;
    (0, state_1.updatePartState)({
        shortTimer: setTimeout(function () {
            // push empty response
            (0, index_1.pushResponse)({});
        }, ((_a = state_1.state.config) === null || _a === void 0 ? void 0 : _a.timeout) || constants_1.SHORT_TIMER_LIMIT),
    });
};
exports.startShortTimer = startShortTimer;
var clearShortTimer = function () {
    clearTimeout(state_1.state.shortTimer);
    (0, state_1.updatePartState)({ shortTimer: null });
};
exports.clearShortTimer = clearShortTimer;
var startLongTimer = function (data) {
    (0, state_1.updatePartState)({
        longTimer: setTimeout(function () {
            (0, requests_1.saveRequests)(data);
        }, constants_1.LONG_TIMER_LIMIT),
    });
};
exports.startLongTimer = startLongTimer;
var clearLongTimer = function () {
    clearTimeout(state_1.state.longTimer);
    (0, state_1.updatePartState)({ longTimer: null });
};
exports.clearLongTimer = clearLongTimer;
