"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUserUniqToken = void 0;
var constants_1 = require("../constants");
/* tslint:disable:no-var-requires */
var TokenGenerator = require('token-generator')({
    salt: constants_1.TOKEN_GENERATION_SALT,
    timestampMap: constants_1.TOKEN_GENERATION_TIMESTAMP, // 10 chars array for obfuscation proposes
});
/**
 * Set token for each not auth user for unique user registration
 * (here unique user mean open app in browser,
 * also user can enter self unique token is spec input for auth in another browser/device )
 */
var getUserUniqToken = function () {
    var savedToken = localStorage.getItem(constants_1.RIL_TOKEN);
    if (savedToken) {
        return savedToken;
    }
    else {
        var token = TokenGenerator.generate();
        localStorage.setItem(constants_1.RIL_TOKEN, token);
        return token;
    }
};
exports.getUserUniqToken = getUserUniqToken;
